RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::http_field_parsers::impl::non_empty_comma_separated_list_producer_t< Container, Element_Producer > Class Template Reference

A template for a producer that handles non-empty list of comma-separated values. More...

`#include <basics.hpp>`

Inheritance diagram for restinio::http_field_parsers::impl::non_empty_comma_separated_list_producer_t< Container, Element_Producer >:

## Public Member Functions
| non_empty_comma_separated_list_producer_t (Element_Producer &&element)
RESTINIO_NODISCARD expected_t< result_type, parse_error_t > | try_parse (source_t &from)

## Private Attributes
Element_Producer | m_element

## Additional Inherited Members
Public Types inherited from restinio::easy_parser::impl::producer_tag< Container >
using | result_type = Container
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< Container >
static constexpr entity_type_t | entity_type

## Detailed Description

template<typename Container, typename Element_Producer>
class restinio::http_field_parsers::impl::non_empty_comma_separated_list_producer_t< Container, Element_Producer >

A template for a producer that handles non-empty list of comma-separated values.

That producer handles the following rule:

    1#element => *( "," OWS ) element *( OWS "," [ OWS element ] )

See: https://tools.ietf.org/html/rfc7230 (section "7. ABNF List Extension: #rule")

Template Parameters

  Container | the type of container to be produced.
  Element_Producer | the type of the producer of a single item.

Since
  v.0.6.1

Definition at line 1316 of file basics.hpp.

## Constructor & Destructor Documentation

## ◆ non_empty_comma_separated_list_producer_t()

template<typename Container , typename Element_Producer >

restinio::http_field_parsers::impl::non_empty_comma_separated_list_producer_t< Container, Element_Producer >::non_empty_comma_separated_list_producer_t | ( | Element_Producer && | element | ) |
| inline

Definition at line 1327 of file basics.hpp.

## Member Function Documentation

## ◆ try_parse()

template<typename Container , typename Element_Producer >

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > restinio::http_field_parsers::impl::non_empty_comma_separated_list_producer_t< Container, Element_Producer >::try_parse | ( | source_t & | from | ) |
| inline

Definition at line 1334 of file basics.hpp.

## Member Data Documentation

## ◆ m_element

template<typename Container , typename Element_Producer >

Element_Producer restinio::http_field_parsers::impl::non_empty_comma_separated_list_producer_t< Container, Element_Producer >::m_element
| private

Definition at line 1322 of file basics.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp